<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.4.4
 */

defined( 'ABSPATH' ) || exit;

if ( ! wc_coupons_enabled() ) { // @codingStandardsIgnoreLine.
	return;
}

$is_cart_page = ( atik_is_woocommerce_activated() && is_cart() ) ? true : false;

if ( $is_cart_page ) {
	$css = 'block';
} else {
	$css = 'none';
}
?>

<form class="checkout_coupon" method="post" style="display:<?php echo esc_attr( $css ); ?>">
	<div class="coupon">
		<input type="text" name="coupon_code" class="input-text" placeholder="<?php esc_attr_e( 'Coupon code', 'atik' ); ?>" id="coupon_code" value="" />

		<div class="input-addon">
			<button type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( 'Apply coupon', 'atik' ); ?>"><?php esc_html_e( 'Apply coupon', 'atik' ); ?></button>
		</div>
	</div>
</form>
